summaryrefslogtreecommitdiffstats
path: root/source/l/gamin
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/gamin')
-rwxr-xr-xsource/l/gamin/gamin.SlackBuild27
-rw-r--r--source/l/gamin/slack-desc8
2 files changed, 23 insertions, 12 deletions
diff --git a/source/l/gamin/gamin.SlackBuild b/source/l/gamin/gamin.SlackBuild
index fb51e9254..ad1f08a95 100755
--- a/source/l/gamin/gamin.SlackBuild
+++ b/source/l/gamin/gamin.SlackBuild
@@ -1,7 +1,7 @@
-#!/bin/sh
+#!/bin/bash
# Copyright 2006, 2007, 2009 Robby Workman, Northport, AL, USA
-# Copyright 2007, 2008, 2009, 2010, 2011 Patrick Volkerding, Sebeka, MN, USA
+# Copyright 2007, 2008, 2009, 2010, 2011, 2018 Patrick Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,25 +21,34 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=gamin
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-5}
+BUILD=${BUILD:-6}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
@@ -52,7 +61,6 @@ else
LIBDIRSUFFIX=""
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -90,11 +98,14 @@ CXXFLAGS="$SLKCFLAGS" \
--disable-dnotify \
--enable-docs \
--build=$ARCH-slackware-linux \
- --host=$ARCH-slackware-linux
+ --host=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
mkdir -p $PKG/etc/gamin
zcat $CWD/gaminrc.gz > $PKG/etc/gamin/gaminrc.new
diff --git a/source/l/gamin/slack-desc b/source/l/gamin/slack-desc
index 35774907e..0d4d257f3 100644
--- a/source/l/gamin/slack-desc
+++ b/source/l/gamin/slack-desc
@@ -1,8 +1,8 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
@@ -11,7 +11,7 @@ gamin:
gamin: Gamin is a file and directory monitoring system defined to be a subset
gamin: of the FAM (File Alteration Monitor) system.
gamin:
-gamin: The homepage for Gamin is: http://www.gnome.org/~veillard/gamin/
+gamin: The homepage for Gamin is: http://www.gnome.org/~veillard/gamin/
gamin:
gamin:
gamin: